<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.qualifier.internal.metadata.CommerceDiscountCommerceQualifierMetadata" activate="activate" deactivate="deactivate" configuration-pid="com.liferay.commerce.qualifier.configuration.CommerceDiscountCommerceQualifierConfiguration">
  <service>
    <provide interface="com.liferay.commerce.qualifier.metadata.CommerceQualifierMetadata"/>
  </service>
  <reference name="_commerceDiscountLocalService" interface="com.liferay.commerce.discount.service.CommerceDiscountLocalService" field="_commerceDiscountLocalService"/>
  <reference name="_commerceDiscountModelResourcePermission" interface="com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission" target="(model.class.name=com.liferay.commerce.discount.model.CommerceDiscount)" field="_commerceDiscountModelResourcePermission"/>
  <reference name="commerceQualifierEntryLocalService" interface="com.liferay.commerce.qualifier.service.CommerceQualifierEntryLocalService" field="commerceQualifierEntryLocalService"/>
  <reference name="commerceQualifierHelper" interface="com.liferay.commerce.qualifier.helper.CommerceQualifierHelper" field="commerceQualifierHelper"/>
  <reference name="configurationProvider" interface="com.liferay.portal.kernel.module.configuration.ConfigurationProvider" field="configurationProvider"/>
  <implementation class="com.liferay.commerce.qualifier.internal.metadata.CommerceDiscountCommerceQualifierMetadata"/>
</scr:component>
